DECLARE resultat varchar2(256);
BEGIN


------------------------------------------------------------
-- 
-- PROCEDIMENT D'INICIALITZACIO DE LA BASE DE DADES
-- 
------------------------------------------------------------


----------------------------------------------------------
-- 1. Alta de paisos a la taula PAIS
----------------------------------------------------------


altaPais('AT','Austria','INIT', resultat);
altaPais('ES','Espaa','INIT', resultat);
altaPais('GR','Grecia','INIT', resultat);
altaPais('PT','Portugal','INIT', resultat);
altaPais('DK','Dinamarca','INIT', resultat);
altaPais('BE','Belgica','INIT', resultat);

----------------------------------------------------------
-- 2. Alta de models de comptador  a la taula MODELCMPT
----------------------------------------------------------

altaModel('SB0000005000','5000','SIBELGA','2006', 'INIT',resultat);
altaModel('SB0000004000','4000','SIBELGA','2005','INIT',resultat);
altaModel('EB0000003000','3000','ELECTRABEL','2007','INIT',resultat);
altaModel('EB0000006000','6000','ELECTRABEL','2008','INIT',resultat);
altaModel('LM0000008000','8000','LUMIX','2010','INIT',resultat);


----------------------------------------------------------
-- 3. Alta de comptadors  a la taula COMPTADOR
----------------------------------------------------------

altaComptador('EB4300000001','EB0000003000','C/ LORCA, 10','SEVILLA','41001','ES','0','INIT', resultat);
altaComptador('EB4000000002','EB0000003000','C/ DEL ARCO, 44','TARRAGONA','43004','ES','0','INIT', resultat);
altaComptador('EB4000000003','EB0000003000','C/ DEL SOL, 6','BARCELONA','08021','ES','0','INIT', resultat);
altaComptador('EB6000000001','EB0000006000','AV/ DEL MAR, 68','BARCELONA','08036','ES','0','INIT', resultat);
altaComptador('EB6000000002','EB0000006000','AV/ MICHELANGELO, 21, 1 1','GIRONA','17001','ES','0','INIT', resultat);
altaComptador('EB6000000003','EB0000006000','AV/ LEONARDO DA VINCI, 2, 6 1','LLEIDA','25004','ES','0','INIT', resultat);
altaComptador('EB6000000004','EB0000003000','C/ VINYA 45, 2 2','GIRONA','17070','ES','0','INIT', resultat);
altaComptador('SB5000000001','SB0000005000','C/ PROVENZA, 27','BARCELONA','08035','ES','0','INIT', resultat);
altaComptador('SB5000000011','SB0000005000','C/ VALENCIA, 390','BARCELONA','08070','ES','0','INIT', resultat);
altaComptador('EB3000000002','EB0000003000','C/ PROVENA 225','BARCELONA','08025','ES','0','INIT', resultat);
altaComptador('SB4000000002','SB0000004000','C/ GIRALDA, 18','SEVILLA','41017','ES','0','INIT', resultat);
altaComptador('SB4000000020','SB0000004000','C/ MACHADO, 90','SEVILLA','41003','ES','0','INIT', resultat);
altaComptador('LM8000000001','LM0000008000','C/ GARCILASO, 55','SEVILLA','41001','ES','0','INIT', resultat);
altaComptador('LM8000000002','LM0000008000','C/ JOSEP PLA, 39','BARCELONA','08019','ES','0','INIT', resultat);
altaComptador('EB6000000005','EB0000003000','C/ VINYALS 13, 2 2','GIRONA','17070','ES','0','INIT', resultat);
altaComptador('LM8000000003','LM0000008000','C/ MACHADO, 11','GIRONA','17070','ES','0','INIT', resultat);
altaComptador('LM8000000004','LM0000008000','C/ MUNTANER, 101','BARCELONA','08010','ES','0','INIT', resultat);
altaComptador('LM8000000005','LM0000008000','C/ SEPULVEDA, 29','BARCELONA','08009','ES','0','INIT', resultat);
altaComptador('LM8000000006','LM0000008000','C/ MACHADO, 11','BARCELONA','08019','ES','0','INIT', resultat);


----------------------------------------------------------
-- 4. Alta de clients  a la taula CLIENTS
----------------------------------------------------------

altaClient('40175815P','F','MIQUEL','CARMONA','VIDAL','C/ DE LA MUNTANYA 26','GIRONA','17001','ES','972-4378700','mcarmonavidal@gmail.com','INIT', resultat);
altaClient('31589815K','F','LLUIS','MARTIN','RODRIGUEZ','AV. MONTSERRAT 312','GIRONA','17001','ES','972-2578642','lmartin@yahoo.es','INIT', resultat);
altaClient('41554815J','F','POL','SARRIBES','MIRALLES','C/ MILANES 32','SEVILLA','41002','ES','95-3786421','polsarribes@yahoo.es','INIT', resultat);
altaClient('31481356K','F','DAVID','RODRIGUEZ','LOPEZ','C/ PRAT DE LA RIBA 327','TARRAGONA','43002','ES','977-3226421','drodriguez@yahoo.es','INIT', resultat);
altaClient('14781356K','F','DAVID','LOPEZ','GARCIA','C/ PRADO 37','SEVILLA','41002','ES','95-2265421','dlopezgrc@yahoo.es','INIT', resultat);
altaClient('46223459K','F','PABLO','MARINO','PORTO','C/ PROVENA 27','BARCELONA','08010','ES','93-3678564','PMILANO@YAHOO.ES','INIT', resultat);
altaClient('37588185L','F','MARIANA','ESTEVE','SABORIDO','C/ CHAMONIZS 12','MADRID','28010','ES','91-4378642','mesteve@gmail.com','INIT', resultat);
altaClient('41758159P','F','MARINA','PUJOL','VIDAL','C/ DE LA MUNTANYA 12','GIRONA','17001','ES','972-4378642','mpujol@gmail.com','INIT', resultat);
altaClient('31485632L','F','ESTHER','GRACIA','LOPE','C/ LA RIBERA 32','TARRAGONA','43003','ES','977-3244421','egraciarib@yahoo.es','INIT', resultat);
altaClient('45111456K','J','SUMMIN, SA',null,null,'C/ PROVENA 225','BARCELONA','08010','ES','93-3685654','submin@YAHOO.ES','INIT', resultat);
altaClient('A58818501','J','COMPAIA DE LA SEDA',null,null,'C/ AIGUES TORTES 27','LLEIDA','25001','ES','93-3337864','CIASEDASA@YAHOO.ES','INIT', resultat);
altaClient('41237581A','J','BADAL SA.', null,null,'C/ DEL ECUADOR 18666','GIRONA','17001','ES','972-3278700','badalsa@yahoo.com','INIT', resultat);
altaClient('46225781B','J','LA BALDUFA SA.', null,null,'C/ JOSEP PLA, 39','BARCELONA','08019','ES','93-3458789','labaldufa@baldufa.com','INIT', resultat);
altaClient('40578021K','J','RESTAURANT LA PLAA', null,null,'PL. JAUME HUGUET, 33','BARCELONA','08019','ES','93-3589799','rtelaplaca@gmail.com','INIT', resultat);
altaClient('30578021K','J','LA PAPERERA SA.', null,null,'C/ JOSEP PLA, 39','BARCELONA','08019','ES','93-3458776','lapapererasa@gmail.com','INIT', resultat);
altaClient('30448021K','J','BAR NINO', null,null,'RBLA. PRIM, 233','BARCELONA','08019','ES','93-4589799','barnino@gmail.com','INIT', resultat);

----------------------------------------------------------
-- 5. Alta de contractes a la taula CONTRACTE
----------------------------------------------------------

altaContracte('CT001',to_date('01/01/2011','DD/MM/YYYY'),'EB4300000001','14781356K','3000','0,7','INIT', resultat);
altaContracte('CT002',to_date('01/02/2011','DD/MM/YYYY'),'EB6000000002','41758159P','5000','0,5','INIT', resultat);
altaContracte('CT003',to_date('01/01/2011','DD/MM/YYYY'),'SB5000000001','46223459K','4000','0,6','INIT', resultat);
altaContracte('CT004',to_date('01/01/2011','DD/MM/YYYY'),'EB6000000003','A58818501','5000','0,5','INIT', resultat);
altaContracte('CT005',to_date('01/03/2011','DD/MM/YYYY'),'EB4000000002','14781356K','3000','0,7','INIT', resultat);
altaContracte('CT006',to_date('05/03/2011','DD/MM/YYYY'),'SB4000000020','41554815J','3000','0,7','INIT', resultat);
altaContracte('CT007',to_date('01/04/2011','DD/MM/YYYY'),'SB5000000011','46223459K','3500','0,7','INIT', resultat);
altaContracte('CT008',to_date('01/01/2011','DD/MM/YYYY'),'EB3000000002','45111456K','3000','0,7','INIT', resultat);
altaContracte('CT011',to_date('01/01/2011','DD/MM/YYYY'),'LM8000000002','40578021K','3000','0,7','INIT', resultat);
altaContracte('CT012',to_date('01/01/2011','DD/MM/YYYY'),'LM8000000001','31481356K','3000','0,7','INIT', resultat);
altaContracte('CT013',to_date('01/01/2011','DD/MM/YYYY'),'EB6000000005','40175815P','3000','0,7','INIT', resultat);
altaContracte('CT014',to_date('01/01/2011','DD/MM/YYYY'),'LM8000000003','41237581A','3000','0,7','INIT', resultat);
altaContracte('CT015',to_date('01/01/2011','DD/MM/YYYY'),'LM8000000004','31485632L','3000','0,7','INIT', resultat);
altaContracte('CT016',to_date('01/01/2011','DD/MM/YYYY'),'LM8000000005','30578021K','3000','0,7','INIT', resultat);
altaContracte('CT017',to_date('01/01/2011','DD/MM/YYYY'),'LM8000000006','30448021K','3000','0,7','INIT', resultat);

altaContracte('CT018',to_date('01/01/2011','DD/MM/YYYY'),'EB6000000001','31589815K','3000','0,7','INIT', resultat);
altaContracte('CT019',to_date('01/01/2011','DD/MM/YYYY'),'EB4000000003','46225781B','3000','0,7','INIT', resultat);
altaContracte('CT020',to_date('01/01/2011','DD/MM/YYYY'),'SB4000000002','37588185L','4000','0,6','INIT', resultat);


----------------------------------------------------------
-- 6. Alta de linies de comunicaci a la taula LINIA_COM
----------------------------------------------------------

altaLiniaCom('ESL0001','5000','INIT', resultat);
altaLiniaCom('ESL0002','4000','INIT', resultat);
altaLiniaCom('ESL0003','4500','INIT', resultat);
altaLiniaCom('ESL0004','1000','INIT', resultat);
altaLiniaCom('ESL0005','5000','INIT', resultat);
altaLiniaCom('ESL0006','4000','INIT', resultat);
altaLiniaCom('ESL0007','2500','INIT', resultat);
altaLiniaCom('ESL0008','3000','INIT', resultat);
altaLiniaCom('ESL0009','3000','INIT', resultat);
altaLiniaCom('ESL0010','4000','INIT', resultat);
altaLiniaCom('ESL0011','3000','INIT', resultat);
altaLiniaCom('ESL0012','2000','INIT', resultat);
altaLiniaCom('ESL0013','2000','INIT', resultat);
altaLiniaCom('ESL0014','2000','INIT', resultat);
altaLiniaCom('ESL0015','2000','INIT', resultat);
altaLiniaCom('ESL0016','2000','INIT', resultat);
altaLiniaCom('ESL0017','2000','INIT', resultat);
altaLiniaCom('ESL0018','2000','INIT', resultat);
altaLiniaCom('BEL0001','2000','INIT', resultat);


----------------------------------------------------------
-- 7. Alta de centrals de distribuci a la taula CENTRAL_DISTR
----------------------------------------------------------

altaCentralDistr('ESD001','AV. DE LA PAU, 235','TARRAGONA','43005','ES',10000,'INIT', resultat);
altaCentralDistr('ESD002','AV. MERCIER, 55','SEVILLA','41003','ES',12000,'INIT', resultat);
altaCentralDistr('ESD003','C/ EXPOSICION UNIVERSAL, 55','BARCELONA','08987','ES',15000,'INIT', resultat);
altaCentralDistr('ESD004','AV. LUXEMBURGO, 1000','GRANADA','18002','ES',25000,'INIT', resultat);
altaCentralDistr('ESD005','AV. PAISOS CATALANS 1000','GERONA','17001','ES',25000,'INIT', resultat);
altaCentralDistr('ESD006','N-125, KM. 80','TARRAGONA','430001','ES',20000,'INIT', resultat);
altaCentralDistr('ESD007','N-2, KM.250','BARCELONA','008006','ES',10000,'INIT', resultat);
altaCentralDistr('ESD008','N-220, KM.100','SEVILLA','41006','ES',20000,'INIT', resultat);
altaCentralDistr('ESD009','N-140, KM. 10','MADRID','28005','ES',30000,'INIT', resultat);
altaCentralDistr('ESD010','AV. DEL BOSQUE 25','VALENCIA','46005','ES',30000,'INIT', resultat);


----------------------------------------------------------
-- 8. Alta de centrals de producci a la taula CENTRAL_PROD
----------------------------------------------------------

altaCentralProd('ES001','POLIGON 1, N-2, KM. 224','SANT BOI LLOBREGAT','08325','ES','T',null,null,'1000',null,null,'INIT', resultat);
altaCentralProd('ES002','N-3, KM. 224','SEVILLA','41004','ES','S',null,200,null,null,null,'INIT', resultat);
altaCentralProd('ES003','N-44, KM. 22','TARRAGONA','43001','ES','C',null,null,2000,null,null,'INIT', resultat);
altaCentralProd('ES004','N-10 KM. 478','VANDELLOS','43002','ES','N',null,null,null,5000,2000,'INIT', resultat);
altaCentralProd('ES005','C-145 KM. 2, FINCA VENTOSA','GIRONA','17066','ES','E',100,null,null,null,null,'INIT', resultat);
altaCentralProd('ES006','N-2, KM. 20','GRANADA','18002','ES','S',null,200,null,null,null,'INIT', resultat);
altaCentralProd('ES007','N-2, KM. 550','BARCELONA','080020','ES','T',null,null,1000,null,null,'INIT', resultat);
altaCentralProd('ES008','N-12 KM. 44','MADRID','28020','ES','S',null,200,null,null,null,'INIT', resultat);
altaCentralProd('BE001','AV. EXPOSITION 1','GRIMBERGEN','1084','BE','E',100,null,null,null,null,'INIT', resultat);

----------------------------------------------------------
-- 9. Alta de connexions comptadors-centrals distribucio
--    a la taula COMPTADOR_CENTRALDISTR
----------------------------------------------------------

altaComptadorCentralDistr('SB5000000001','ESD003','S','INIT', resultat);
altaComptadorCentralDistr('SB4000000002','ESD002','S','INIT', resultat);
altaComptadorCentralDistr('SB4000000020','ESD002','S','INIT', resultat);
altaComptadorCentralDistr('EB4300000001','ESD002','S','INIT', resultat);
altaComptadorCentralDistr('EB3000000002','ESD007','S','INIT', resultat);
altaComptadorCentralDistr('EB6000000001','ESD002','S','INIT', resultat);
altaComptadorCentralDistr('EB6000000002','ESD005','S','INIT', resultat);
altaComptadorCentralDistr('EB6000000003','ESD005','S','INIT', resultat);
altaComptadorCentralDistr('EB6000000004','ESD005','S','INIT', resultat);
altaComptadorCentralDistr('EB6000000005','ESD005','S','INIT', resultat);
altaComptadorCentralDistr('EB4000000003','ESD004','S','INIT', resultat);
altaComptadorCentralDistr('SB5000000011','ESD003','S','INIT', resultat);
altaComptadorCentralDistr('SB5000000011','ESD001','N','INIT', resultat);
altaComptadorCentralDistr('EB6000000002','ESD010','N','INIT', resultat);
altaComptadorCentralDistr('LM8000000001','ESD008','S','INIT', resultat);
altaComptadorCentralDistr('LM8000000001','ESD002','N','INIT', resultat);
altaComptadorCentralDistr('LM8000000002','ESD003','S','INIT', resultat);
altaComptadorCentralDistr('LM8000000002','ESD007','N','INIT', resultat);
altaComptadorCentralDistr('LM8000000003','ESD007','S','INIT', resultat);
altaComptadorCentralDistr('LM8000000004','ESD001','S','INIT', resultat);
altaComptadorCentralDistr('LM8000000005','ESD001','S','INIT', resultat);
altaComptadorCentralDistr('LM8000000006','ESD001','S','INIT', resultat);
altaComptadorCentralDistr('EB4000000002','ESD010','S','INIT', resultat);




----------------------------------------------------------
-- 10. Alta de connexions centrals produccio - linia - centrals distribucio
--    a la taula CENTRALPROD_CENTRALDISTR
----------------------------------------------------------


altaCentralProdCentralDistr('ES001','ESL0001','ESD003','N','INIT', resultat);
altaCentralProdCentralDistr('ES001','ESL0001','ESD001','S','INIT', resultat);
altaCentralProdCentralDistr('ES002','ESL0002','ESD008','S','INIT', resultat);
altaCentralProdCentralDistr('ES002','ESL0002','ESD002','S','INIT', resultat);
altaCentralProdCentralDistr('ES002','ESL0002','ESD004','S','INIT', resultat);
altaCentralProdCentralDistr('ES003','ESL0003','ESD006','S','INIT', resultat);
altaCentralProdCentralDistr('ES003','ESL0013','ESD006','N','INIT', resultat);
altaCentralProdCentralDistr('ES004','ESL0004','ESD001','N','INIT', resultat);
altaCentralProdCentralDistr('ES004','ESL0014','ESD006','N','INIT', resultat);
altaCentralProdCentralDistr('ES005','ESL0015','ESD005','S','INIT', resultat);
altaCentralProdCentralDistr('ES005','ESL0005','ESD005','N','INIT', resultat);
altaCentralProdCentralDistr('ES007','ESL0007','ESD007','S','INIT', resultat);
altaCentralProdCentralDistr('ES007','ESL0013','ESD003','S','INIT', resultat);
altaCentralProdCentralDistr('ES008','ESL0008','ESD009','N','INIT', resultat);
altaCentralProdCentralDistr('ES008','ESL0018','ESD009','S','INIT', resultat);
altaCentralProdCentralDistr('ES004','ESL0016','ESD010','S','INIT', resultat);



----------------------------------------------------------
-- 11. Alta de lectures dels comptadors a la taula LECTURA
----------------------------------------------------------
altaLectura('01/01/2011','EB4300000001',10,'T','INIT', resultat);
altaLectura('01/02/2011','EB4300000001',30,'T','INIT', resultat);
altaLectura('01/03/2011','EB4300000001',70,'T','INIT', resultat);
altaLectura('01/04/2011','EB4300000001',70,'T','INIT', resultat);
altaLectura('01/05/2011','EB4300000001',70,'T','INIT', resultat);
altaLectura('01/06/2011','EB4300000001',100,'T','INIT', resultat);
altaLectura('01/07/2011','EB4300000001',140,'T','INIT', resultat);
altaLectura('01/08/2011','EB4300000001',180,'T','INIT', resultat);
altaLectura('01/09/2011','EB4300000001',200,'P','INIT', resultat);
altaLectura('01/10/2011','EB4300000001',200,'T','INIT', resultat);
altaLectura('01/11/2011','EB4300000001',280,'P','INIT', resultat);
altaLectura('01/12/2011','EB4300000001',365,'P','INIT', resultat);
altaLectura('01/01/2012','EB4300000001',450,'T','INIT', resultat);
altaLectura('01/02/2012','EB4300000001',540,'T','INIT', resultat);

altaLectura('01/01/2011','EB6000000001',60,'T','INIT', resultat);
altaLectura('01/02/2011','EB6000000001',100,'T','INIT', resultat);
altaLectura('01/03/2011','EB6000000001',150,'T','INIT', resultat);
altaLectura('01/04/2011','EB6000000001',190,'T','INIT', resultat);
altaLectura('01/05/2011','EB6000000001',240,'T','INIT', resultat);
altaLectura('01/06/2011','EB6000000001',280,'T','INIT', resultat);
altaLectura('01/07/2011','EB6000000001',350,'T','INIT', resultat);
altaLectura('01/08/2011','EB6000000001',390,'T','INIT', resultat);
altaLectura('01/09/2011','EB6000000001',450,'T','INIT', resultat);
altaLectura('01/10/2011','EB6000000001',450,'T','INIT', resultat);
altaLectura('01/11/2011','EB6000000001',650,'T','INIT', resultat);
altaLectura('01/12/2011','EB6000000001',710,'T','INIT', resultat);

altaLectura('01/03/2011','EB6000000002',150,'T','INIT', resultat);
altaLectura('01/04/2011','EB6000000002',250,'T','INIT', resultat);
altaLectura('01/05/2011','EB6000000002',350,'T','INIT', resultat);
altaLectura('01/07/2011','EB6000000002',450,'T','INIT', resultat);
altaLectura('01/08/2011','EB6000000002',550,'T','INIT', resultat);
altaLectura('01/09/2011','EB6000000002',650,'T','INIT', resultat);
altaLectura('01/10/2011','EB6000000002',750,'T','INIT', resultat);
altaLectura('01/11/2011','EB6000000002',850,'T','INIT', resultat);
altaLectura('01/12/2011','EB6000000002',950,'T','INIT', resultat);
altaLectura('01/01/2012','EB6000000002',1000,'P','INIT', resultat);

altaLectura('01/02/2011','EB6000000003',75,'T','INIT', resultat);
altaLectura('01/03/2011','EB6000000003',165,'P','INIT', resultat);
altaLectura('01/04/2011','EB6000000003',265,'P','INIT', resultat);
altaLectura('01/05/2011','EB6000000003',365,'P','INIT', resultat);
altaLectura('01/06/2011','EB6000000003',465,'P','INIT', resultat);
altaLectura('01/07/2011','EB6000000003',565,'P','INIT', resultat);
altaLectura('01/08/2011','EB6000000003',625,'P','INIT', resultat);
altaLectura('01/09/2011','EB6000000003',665,'P','INIT', resultat);
altaLectura('01/10/2011','EB6000000003',730,'P','INIT', resultat);
altaLectura('01/11/2011','EB6000000003',790,'P','INIT', resultat);
altaLectura('01/12/2011','EB6000000003',865,'P','INIT', resultat);


altaLectura('01/04/2011','SB4000000020',80,'T','INIT', resultat);
altaLectura('01/05/2011','SB4000000020',180,'T','INIT', resultat);
altaLectura('01/06/2011','SB4000000020',280,'T','INIT', resultat);
altaLectura('01/07/2011','SB4000000020',380,'T','INIT', resultat);
altaLectura('01/08/2011','SB4000000020',480,'T','INIT', resultat);
altaLectura('01/09/2011','SB4000000020',580,'T','INIT', resultat);
altaLectura('01/10/2011','SB4000000020',680,'T','INIT', resultat);
altaLectura('01/11/2011','SB4000000020',780,'T','INIT', resultat);
altaLectura('01/12/2011','SB4000000020',880,'T','INIT', resultat);

altaLectura('01/04/2011','SB4000000002',80,'P','INIT', resultat);
altaLectura('01/05/2011','SB4000000002',180,'P','INIT', resultat);
altaLectura('01/06/2011','SB4000000002',260,'P','INIT', resultat);
altaLectura('01/07/2011','SB4000000002',380,'P','INIT', resultat);
altaLectura('01/08/2011','SB4000000002',480,'P','INIT', resultat);
altaLectura('01/09/2011','SB4000000002',580,'P','INIT', resultat);
altaLectura('01/11/2011','SB4000000002',650,'P','INIT', resultat);
altaLectura('01/12/2011','SB4000000002',700,'T','INIT', resultat);
altaLectura('01/02/2012','SB4000000002',800,'T','INIT', resultat);
altaLectura('01/03/2012','SB4000000002',860,'T','INIT', resultat);
altaLectura('01/04/2012','SB4000000002',900,'T','INIT', resultat);
altaLectura('01/05/2012','SB4000000002',1000,'T','INIT', resultat);

altaLectura('01/05/2011','SB5000000011',50,'T','INIT', resultat);
altaLectura('01/06/2011','SB5000000011',160,'P','INIT', resultat);
altaLectura('01/07/2011','SB5000000011',255,'T','INIT', resultat);
altaLectura('01/08/2011','SB5000000011',370,'P','INIT', resultat);
altaLectura('01/09/2011','SB5000000011',465,'T','INIT', resultat);
altaLectura('01/10/2011','SB5000000011',510,'P','INIT', resultat);
altaLectura('01/11/2011','SB5000000011',670,'P','INIT', resultat);
altaLectura('01/12/2011','SB5000000011',765,'P','INIT', resultat);

altaLectura('01/01/2011','EB3000000002',50,'T','INIT', resultat);
altaLectura('01/02/2011','EB3000000002',170,'P','INIT', resultat);
altaLectura('01/03/2011','EB3000000002',260,'P','INIT', resultat);
altaLectura('01/04/2011','EB3000000002',300,'P','INIT', resultat);
altaLectura('01/05/2011','EB3000000002',380,'T','INIT', resultat);
altaLectura('01/06/2011','EB3000000002',460,'T','INIT', resultat);
altaLectura('01/07/2011','EB3000000002',460,'T','INIT', resultat);
altaLectura('01/08/2011','EB3000000002',580,'T','INIT', resultat);
altaLectura('01/09/2011','EB3000000002',690,'P','INIT', resultat);
altaLectura('01/10/2011','EB3000000002',765,'T','INIT', resultat);
altaLectura('01/11/2011','EB3000000002',870,'P','INIT', resultat);
altaLectura('01/12/2011','EB3000000002',980,'T','INIT', resultat);


altaLectura('01/01/2011','LM8000000001',80,'T','INIT', resultat);
altaLectura('01/02/2011','LM8000000001',180,'T','INIT', resultat);
altaLectura('01/03/2011','LM8000000001',230,'T','INIT', resultat);
altaLectura('01/04/2011','LM8000000001',480,'T','INIT', resultat);
altaLectura('01/05/2011','LM8000000001',520,'T','INIT', resultat);
altaLectura('01/06/2011','LM8000000001',580,'T','INIT', resultat);
altaLectura('01/07/2011','LM8000000001',680,'T','INIT', resultat);
altaLectura('01/08/2011','LM8000000001',680,'T','INIT', resultat);
altaLectura('01/09/2011','LM8000000001',780,'T','INIT', resultat);
altaLectura('01/10/2011','LM8000000001',840,'T','INIT', resultat);
altaLectura('01/11/2011','LM8000000001',880,'T','INIT', resultat);
altaLectura('01/12/2011','LM8000000001',980,'T','INIT', resultat);

altaLectura('01/01/2011','LM8000000002',50,'T','INIT', resultat);
altaLectura('01/02/2011','LM8000000002',80,'P','INIT', resultat);
altaLectura('01/03/2011','LM8000000002',150,'T','INIT', resultat);
altaLectura('01/04/2011','LM8000000002',180,'T','INIT', resultat);
altaLectura('01/05/2011','LM8000000002',180,'T','INIT', resultat);
altaLectura('01/06/2011','LM8000000002',270,'T','INIT', resultat);
altaLectura('01/07/2011','LM8000000002',340,'T','INIT', resultat);
altaLectura('01/08/2011','LM8000000002',440,'T','INIT', resultat);
altaLectura('01/09/2011','LM8000000002',490,'T','INIT', resultat);
altaLectura('01/10/2011','LM8000000002',540,'T','INIT', resultat);
altaLectura('01/11/2011','LM8000000002',590,'T','INIT', resultat);
altaLectura('01/12/2011','LM8000000002',640,'T','INIT', resultat);




altaLectura('01/01/2011','LM8000000003',40,'T','INIT', resultat);
altaLectura('01/02/2011','LM8000000003',80,'P','INIT', resultat);
altaLectura('01/03/2011','LM8000000003',160,'T','INIT', resultat);
altaLectura('01/04/2011','LM8000000003',200,'P','INIT', resultat);
altaLectura('01/05/2011','LM8000000003',280,'P','INIT', resultat);
altaLectura('01/06/2011','LM8000000003',380,'P','INIT', resultat);
altaLectura('01/07/2011','LM8000000003',460,'P','INIT', resultat);
altaLectura('01/08/2011','LM8000000003',550,'P','INIT', resultat);
altaLectura('01/09/2011','LM8000000003',660,'P','INIT', resultat);
altaLectura('01/10/2011','LM8000000003',760,'P','INIT', resultat);
altaLectura('01/11/2011','LM8000000003',840,'P','INIT', resultat);
altaLectura('01/12/2011','LM8000000003',960,'P','INIT', resultat);

altaLectura('01/01/2011','LM8000000004',50,'T','INIT', resultat);
altaLectura('01/02/2011','LM8000000004',100,'T','INIT', resultat);
altaLectura('01/03/2011','LM8000000004',160,'T','INIT', resultat);
altaLectura('01/04/2011','LM8000000004',210,'T','INIT', resultat);
altaLectura('01/05/2011','LM8000000004',270,'T','INIT', resultat);
altaLectura('01/06/2011','LM8000000004',330,'T','INIT', resultat);
altaLectura('01/07/2011','LM8000000004',460,'T','INIT', resultat);
altaLectura('01/08/2011','LM8000000004',500,'T','INIT', resultat);
altaLectura('01/09/2011','LM8000000004',530,'T','INIT', resultat);
altaLectura('01/10/2011','LM8000000004',580,'T','INIT', resultat);
altaLectura('01/11/2011','LM8000000004',630,'T','INIT', resultat);
altaLectura('01/12/2011','LM8000000004',700,'T','INIT', resultat);

altaLectura('01/01/2011','EB4000000003',60,'T','INIT', resultat);
altaLectura('01/02/2011','EB4000000003',100,'T','INIT', resultat);
altaLectura('01/03/2011','EB4000000003',140,'T','INIT', resultat);
altaLectura('01/04/2011','EB4000000003',200,'T','INIT', resultat);
altaLectura('01/05/2011','EB4000000003',250,'T','INIT', resultat);
altaLectura('01/06/2011','EB4000000003',310,'T','INIT', resultat);
altaLectura('01/07/2011','EB4000000003',360,'T','INIT', resultat);
altaLectura('01/08/2011','EB4000000003',400,'T','INIT', resultat);
altaLectura('01/09/2011','EB4000000003',440,'T','INIT', resultat);
altaLectura('01/10/2011','EB4000000003',480,'T','INIT', resultat);
altaLectura('01/11/2011','EB4000000003',500,'T','INIT', resultat);
altaLectura('01/12/2011','EB4000000003',540,'T','INIT', resultat);

-- ES CORRECTO ???
altaLectura('01/04/2011','EB4000000002',80,'P','INIT', resultat);
altaLectura('01/05/2011','EB4000000002',180,'P','INIT', resultat);
altaLectura('01/06/2011','EB4000000002',260,'P','INIT', resultat);
altaLectura('01/07/2011','EB4000000002',390,'P','INIT', resultat);
altaLectura('01/08/2011','EB4000000002',480,'P','INIT', resultat);
altaLectura('01/09/2011','EB4000000002',570,'P','INIT', resultat);
altaLectura('01/11/2011','EB4000000002',650,'P','INIT', resultat);
altaLectura('01/12/2011','EB4000000002',710,'T','INIT', resultat);
altaLectura('01/02/2012','EB4000000002',800,'T','INIT', resultat);
altaLectura('01/03/2012','EB4000000002',870,'T','INIT', resultat);
altaLectura('01/04/2012','EB4000000002',900,'T','INIT', resultat);
altaLectura('01/05/2012','EB4000000002',980,'T','INIT', resultat);

altaLectura('01/01/2011','EB6000000005',80,'P','INIT', resultat);
altaLectura('01/02/2011','EB6000000005',180,'P','INIT', resultat);
altaLectura('01/03/2011','EB6000000005',260,'P','INIT', resultat);
altaLectura('01/04/2011','EB6000000005',390,'P','INIT', resultat);
altaLectura('01/05/2011','EB6000000005',480,'P','INIT', resultat);
altaLectura('01/06/2011','EB6000000005',570,'P','INIT', resultat);
altaLectura('01/07/2011','EB6000000005',650,'P','INIT', resultat);
altaLectura('01/08/2011','EB6000000005',710,'T','INIT', resultat);
altaLectura('01/09/2011','EB6000000005',800,'T','INIT', resultat);
altaLectura('01/10/2011','EB6000000005',870,'T','INIT', resultat);
altaLectura('01/11/2011','EB6000000005',900,'T','INIT', resultat);
altaLectura('01/12/2011','EB6000000005',980,'T','INIT', resultat);

altaLectura('01/01/2011','LM8000000005',90,'P','INIT', resultat);
altaLectura('01/02/2011','LM8000000005',170,'P','INIT', resultat);
altaLectura('01/03/2011','LM8000000005',250,'P','INIT', resultat);
altaLectura('01/04/2011','LM8000000005',340,'P','INIT', resultat);
altaLectura('01/05/2011','LM8000000005',400,'P','INIT', resultat);
altaLectura('01/06/2011','LM8000000005',500,'P','INIT', resultat);
altaLectura('01/07/2011','LM8000000005',600,'P','INIT', resultat);
altaLectura('01/08/2011','LM8000000005',710,'T','INIT', resultat);
altaLectura('01/09/2011','LM8000000005',800,'T','INIT', resultat);
altaLectura('01/10/2011','LM8000000005',870,'T','INIT', resultat);
altaLectura('01/11/2011','LM8000000005',900,'T','INIT', resultat);
altaLectura('01/12/2011','LM8000000005',910,'T','INIT', resultat);

altaLectura('01/01/2011','SB5000000001',40,'P','INIT', resultat);
altaLectura('01/02/2011','SB5000000001',100,'P','INIT', resultat);
altaLectura('01/03/2011','SB5000000001',200,'P','INIT', resultat);
altaLectura('01/04/2011','SB5000000001',300,'P','INIT', resultat);
altaLectura('01/05/2011','SB5000000001',400,'P','INIT', resultat);
altaLectura('01/06/2011','SB5000000001',500,'P','INIT', resultat);
altaLectura('01/07/2011','SB5000000001',600,'P','INIT', resultat);
altaLectura('01/08/2011','SB5000000001',700,'T','INIT', resultat);
altaLectura('01/09/2011','SB5000000001',800,'T','INIT', resultat);
altaLectura('01/10/2011','SB5000000001',870,'T','INIT', resultat);
altaLectura('01/11/2011','SB5000000001',900,'T','INIT', resultat);
altaLectura('01/12/2011','SB5000000001',990,'T','INIT', resultat);

altaLectura('01/01/2011','EB6000000004',40,'P','INIT', resultat);
altaLectura('01/02/2011','EB6000000004',100,'P','INIT', resultat);
altaLectura('01/03/2011','EB6000000004',200,'P','INIT', resultat);
altaLectura('01/04/2011','EB6000000004',300,'P','INIT', resultat);
altaLectura('01/05/2011','EB6000000004',400,'P','INIT', resultat);
altaLectura('01/06/2011','EB6000000004',500,'P','INIT', resultat);
altaLectura('01/07/2011','EB6000000004',600,'P','INIT', resultat);
altaLectura('01/08/2011','EB6000000004',700,'T','INIT', resultat);
altaLectura('01/09/2011','EB6000000004',800,'T','INIT', resultat);
altaLectura('01/10/2011','EB6000000004',870,'T','INIT', resultat);
altaLectura('01/11/2011','EB6000000004',900,'T','INIT', resultat);
altaLectura('01/12/2011','EB6000000004',1020,'T','INIT', resultat);



END;
